%define upstream_name Net-IPv6Addr
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Check validity of IPv6 addresses
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/B/BK/BKB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.999.813
BuildRequires: perl-Math-BigInt => 1.999.813
BuildRequires: perl-devel
BuildArch:  noarch

%description
Net::IPv6Addr checks strings for valid IPv6 addresses, as
specified in RFC1884.  You throw possible addresses at it, it
either accepts them or throws an exception.

If Math::Base85 is installed, then this module is able to process
addresses formatted in the style referenced by RFC1924.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Net/IPv6Addr.pm
%{perl_vendorlib}/Net/IPv6Addr.pod
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.20.0-3.mga10
+ Revision: 2209818
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.20.0-2.mga9
+ Revision: 1820632
- Mageia 9 Mass Rebuild

* Fri Apr 02 2021 tv <tv> 1.20.0-1.mga9
+ Revision: 1712561
- update to 1.02

* Sun Jun 21 2020 tv <tv> 1.10.0-1.mga8
+ Revision: 1598280
- update to 1.01

* Fri Jun 19 2020 tv <tv> 1.0.0-1.mga8
+ Revision: 1596599
- update to 1.0

* Fri Feb 14 2020 umeabot <umeabot> 0.960.0-2.mga8
+ Revision: 1519738
- Mageia 8 Mass Rebuild

* Thu Oct 18 2018 tv <tv> 0.960.0-1.mga7
+ Revision: 1321932
- fix deps
+ shlomif <shlomif>
- update to 0.96

* Thu Sep 20 2018 umeabot <umeabot> 0.910.0-2.mga7
+ Revision: 1285128
- Mageia 7 Mass Rebuild

* Sat Oct 14 2017 shlomif <shlomif> 0.910.0-1.mga7
+ Revision: 1171851
- New version 0.91

* Tue Oct 03 2017 tv <tv> 0.900.0-2.mga7
+ Revision: 1165858
- rebuild with fixed rpm for missing autodeps

* Mon Oct 02 2017 guillomovitch <guillomovitch> 0.900.0-1.mga7
+ Revision: 1162507
- new version 0.9

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.700.0-1.mga7
+ Revision: 1157179
- new version 0.7

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-3.mga6
+ Revision: 1031097
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.200.0-2.mga6
+ Revision: 946049
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2-9.mga5
+ Revision: 740277
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-8.mga5
+ Revision: 685673
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2-7.mga4
+ Revision: 513462
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2-6.mga3
+ Revision: 370661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.2-5.mga1
+ Revision: 32231
- mageia rebuild
- imported package perl-Net-IPv6Addr


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.2-5mdv2010.0
+ Revision: 430512
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.2-4mdv2009.0
+ Revision: 241781
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-2mdv2008.0
+ Revision: 86703
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdk
- initial Mandriva package

